Bug 207040 - [NEW PORT] graphics/py3-pillow: copy of graphics/py-pillow for Python 3.x
Summary: [NEW PORT] graphics/py3-pillow: copy of graphics/py-pillow for Python 3.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks: 207005
  Show dependency treegraph
 
Reported: 2016-02-08 23:45 UTC by Ben Woods
Modified: 2016-05-18 16:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
Patch to update graphics/py3-pillow (after svn copy) (2.35 KB, patch)
2016-02-08 23:47 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for graphics/py3-pillow on FreeBSD 10.2 amd64 (97.19 KB, text/plain)
2016-02-08 23:48 UTC, Ben Woods
no flags Details
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR) (2.25 KB, patch)
2016-02-21 12:46 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for graphics/py3-pillow on FreeBSD 10.2 amd64 (94.25 KB, text/plain)
2016-02-21 12:47 UTC, Ben Woods
no flags Details
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR) (2.39 KB, patch)
2016-02-25 21:04 UTC, Ben Woods
no flags Details | Diff
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR) (2.33 KB, patch)
2016-04-06 19:59 UTC, Ben Woods
no flags Details | Diff
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR) (2.31 KB, patch)
2016-04-06 20:05 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-02-08 23:45:42 UTC
* Copy graphics/py-pillow: svn copy graphics/py-pillow graphics/py3-pillow
 * Update to USES=python:3 (and remove duplicate USES= line)
 * Update depends from x11-toolkits/py-tkinter to x11-toolkits/py34-tkinter
 * Update to latest upstream release 3.1.1, and update distinfo
 * Take maintainership - happy to either do this myself or leave with koobs@FreeBSD.org if they prefer

 Changes:

   https://github.com/python-pillow/Pillow/blob/3.1.1/CHANGES.rst
Comment 1 Ben Woods freebsd_committer 2016-02-08 23:46:41 UTC
This new port is required to fulfill the Python 3.2+ dependencies of the latest upstream version of science/gramps.
Comment 2 Ben Woods freebsd_committer 2016-02-08 23:47:53 UTC
Created attachment 166774 [details]
Patch to update graphics/py3-pillow (after svn copy)

This patch should be applied after performing the following command:
svn copy graphics/py-pillow graphics/py3-pillow
svn patch <insertpatch>
Comment 3 Ben Woods freebsd_committer 2016-02-08 23:48:17 UTC
Created attachment 166775 [details]
QA: Successful poudriere testport logs for graphics/py3-pillow on FreeBSD 10.2 amd64
Comment 4 Ben Woods freebsd_committer 2016-02-21 12:46:17 UTC
Created attachment 167248 [details]
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR)

This patch changes the approach for the new port graphics/py3-pillow to use the existing port graphics/py-pillow as the MASTERDIR.

* Create new port graphics/py3-pillow
* New port specifies USES=python:3.2+ [1]
* New port changes TKINTER_BUILD_DEPENDS and TKINTER_RUN_DEPENDS to x11-toolkits/${PYTHON_PKGNAMEPREFIX}tkinter
* Update index in graphics/Makefile
* Ensure graphics/py-pillow does not clobber USES and TKINTER_xxx_DEPENDS variables in slave ports
* Remove duplicate USES= line in graphics/py-pillow


 [1] http://pillow.readthedocs.org/en/3.0.x/installation.html
Comment 5 Ben Woods freebsd_committer 2016-02-21 12:47:48 UTC
Created attachment 167249 [details]
QA: Successful poudriere testport logs for graphics/py3-pillow on FreeBSD 10.2 amd64
Comment 6 Ben Woods freebsd_committer 2016-02-25 21:04:15 UTC
Created attachment 167416 [details]
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR)

Patch updated to apply cleanly following recent changes to graphics/py-pillow
Comment 7 Ben Woods freebsd_committer 2016-04-06 19:59:05 UTC
Created attachment 169054 [details]
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR)

Patch updated to apply cleanly following recent changes to graphics/py-pillow
Comment 8 Ben Woods freebsd_committer 2016-04-06 20:05:30 UTC
Created attachment 169055 [details]
Patch to create graphics/py3-pillow (using graphics/py-pillow as MASTERDIR)

Patch updated to remove ${PORTSDIR} in *_DEPENDS lines.
Comment 9 Ben Woods freebsd_committer 2016-05-10 08:38:03 UTC
koobs: I will take this bug report, but will upload the diff to phabricator and only commit once you give a positive review.
Comment 10 commit-hook freebsd_committer 2016-05-18 16:24:32 UTC
A commit references this bug:

Author: woodsb02
Date: Wed May 18 16:23:36 UTC 2016
New revision: 415455
URL: https://svnweb.freebsd.org/changeset/ports/415455

Log:
  Create new port graphics/py3-pillow:
  - This is a variant of graphics/py-pillow for Python 3.x.
    A separate port is needed until the ports tree gets VARIANTS support.
    The science/gramps port will soon be updated to a version which only
    supports python3, and it depends on py-pillow with python3.
    To allow people to only use packages directly (and not ports),
    the package building infrastructure needs to build 2 packages:
    py-pillow with python2 and py-pillow with python3.
    Since the ports tree doesn't yet have VARIANTS support, this is not
    yet possible without making a separate py3-pillow port.
  - Ensure graphics/py-pillow does not clobber USES and TKINTER_xxx_DEPENDS variables in slave port
  - Remove duplicate USES= line in graphics/py-pillow

  PR:		207040
  Approved by:	mat, adamw (mentors), koobs (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D6433

Changes:
  head/graphics/Makefile
  head/graphics/py-pillow/Makefile
  head/graphics/py3-pillow/
  head/graphics/py3-pillow/Makefile